#pragma once

#include "MeshLoader.h"


class AneuMeshLoader : public MeshLoader {
public:
    void loadMesh(const std::string &) override;




    //!!! Эти методы вызывать никто не будет. Поэтому они должны быть закрытыми.
    //!!! И не очень понятно, зачем их делать витртуальными.

    void loadNodes(std::ifstream &) override;

    void loadFiniteElements(std::ifstream &) override;

    void loadBoundaryElements(std::ifstream &) override;
};
